com.r3corda.core.crypto / WhitelistTrustManagerSpi

# WhitelistTrustManagerSpi

`class WhitelistTrustManagerSpi : TrustManagerFactorySpi`

Registered TrustManagerFactorySpi

### Constructors

<init> | `WhitelistTrustManagerSpi()` Registered TrustManagerFactorySpi

### Properties

originalProvider | `val originalProvider: TrustManagerFactory`

### Functions

engineGetTrustManagers | `fun engineGetTrustManagers(): Array<out TrustManager>`
engineInit | `fun engineInit(keyStore: KeyStore?): Unit` `fun engineInit(managerFactoryParameters: ManagerFactoryParameters?): Unit`